Bug 203516 - [maintainer update] textproc/kibana4: Update to 4.1.2
Summary: [maintainer update] textproc/kibana4: Update to 4.1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jason Unovitch
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-02 21:32 UTC by Serhii (Sergey) Kozlov
Modified: 2015-11-24 00:19 UTC (History)
1 user (show)

See Also:
skozlov: maintainer-feedback+


Attachments
Patch for 4.1.2 (28.83 KB, patch)
2015-10-02 21:32 UTC, Serhii (Sergey) Kozlov
no flags Details | Diff
Poudriere testport log for 4.1.2 (11.83 KB, text/plain)
2015-10-02 21:33 UTC, Serhii (Sergey) Kozlov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Serhii (Sergey) Kozlov freebsd_committer 2015-10-02 21:32:59 UTC
Created attachment 161661 [details]
Patch for 4.1.2

Update textproc/kibana4 to 4.1.2
Changes:
- New version contains dtrace-provider pre-compiled for Darwin. Module is deleted during the installation. Absents of it doesn't affect kibana operation because all the code referencing the module is conditional
- Bumped version and distinfo
Comment 1 Serhii (Sergey) Kozlov freebsd_committer 2015-10-02 21:33:50 UTC
Created attachment 161662 [details]
Poudriere testport log for 4.1.2
Comment 2 commit-hook freebsd_committer 2015-10-03 01:52:10 UTC
A commit references this bug:

Author: junovitch
Date: Sat Oct  3 01:52:04 UTC 2015
New revision: 398461
URL: https://svnweb.freebsd.org/changeset/ports/398461

Log:
  textproc/kibana4: update 4.1.1 -> 4.1.2

  - Remove 4.1.2's Darwin specific dtrace-provider during do-install
  - While here, fix tabs in WWWDIR

  Changes:	https://github.com/elastic/kibana/compare/v4.1.1...v4.1.2

  PR:		203516
  Submitted by:	Sergey Kozlov <kozlov.sergey.404@gmail.com> (maintainer)

Changes:
  head/textproc/kibana4/Makefile
  head/textproc/kibana4/distinfo
  head/textproc/kibana4/pkg-plist
Comment 3 Jason Unovitch freebsd_committer 2015-10-03 01:53:53 UTC
Committed.  No QA issues noted.  Thank you Sergey!
Comment 4 commit-hook freebsd_committer 2015-11-24 00:19:45 UTC
A commit references this bug:

Author: junovitch
Date: Tue Nov 24 00:18:53 UTC 2015
New revision: 402338
URL: https://svnweb.freebsd.org/changeset/ports/402338

Log:
  MFH: r398461, r402230

  textproc/kibana41: update 4.1.1 -> 4.1.3

  - Remove 4.1.2's Darwin specific dtrace-provider during do-install
  - While here, fix tabs in WWWDIR
  - Update PORTVERSION, distinfo, and pkg-plist for 4.1.3
  - Update PKGNAMESUFFIX to reflect directory change in preparation of
    upcoming Kibana 4.2 port that requires Elasticsearch 2.0
  - Explain Elasticsearch compatible version range in pkg-descr

  textproc/Makefile, MOVED: Chase Kibana rename kibana4 -> kibana41

  Changes:        https://www.elastic.co/blog/kibana-4-2-1-and-4-1-3

  PR:             203516
  Submitted by:   Sergey Kozlov <kozlov.sergey.404@gmail.com> (maintainer)
  Approved by:	ports-secteam (feld)
  Security:       CVE-2015-8131
  Security:       https://vuxml.FreeBSD.org/freebsd/fb2475c2-9125-11e5-bd18-002590263bf5.html
  Differential Revision:  https://reviews.freebsd.org/D4226

Changes:
_U  branches/2015Q4/
  branches/2015Q4/MOVED
  branches/2015Q4/textproc/Makefile
  branches/2015Q4/textproc/kibana4/
  branches/2015Q4/textproc/kibana41/